DHCRELAY(8)

NAME
dhcrelay - Dynamic Host Configuration Protocol relay agent

SYNOPSIS
dhcrelay [-do] -i interface server1 [... serverN]

DESCRIPTION
The dhcrelay utility provides a means for relaying DHCP and BOOTP requests from a subnet to which no DHCP server is directly connected to one or more DHCP servers on other subnets.

dhcrelay listens for DHCP requests on a given interface. When a query is received, dhcrelay forwards it to the list of DHCP servers specified on the command line. When a reply is received, it is broadcast or unicast on the network from whence the original request came.

The name of at least one DHCP server to which DHCP and BOOTP requests should be relayed, as well as the name of the network interface that dhcrelay should attempt to configure, must be specified on the command line.

dhcrelay supports relaying of DHCP traffic to configure IPsec tunnel mode clients when listening on the enc(4) interface. The DHCP server has to support RFC 3046 to echo back the relay agent information to allow stateless DHCP reply to IPsec tunnel mapping.

The options are as follows:

-d  dhcrelay normally runs in the foreground until it has configured an interface, and then reverts to running in the background. This option forces dhcrelay to always run as a foreground process.

-i interface
    The name of the network interface that dhcrelay should attempt to configure. At least one IPv4 address has to be configured on this interface.

-o  Add the relay agent information option. By default, this is only enabled for the enc(4) interface.

SEE ALSO
dhclient(8), dhcpd(8)

RFC 2132, RFC 2131, RFC 3046, RFC 3456

AUTHORS
-nosplit dhcrelay was written by Ted Lemon <mellon@fugue.com>.

The current implementation was reworked by Henning Brauer <henning@openbsd.org>.

BUGS
Relayed DHCP traffic could actually safely be protected by IPsec but, like dhcpd(8) and dhclient(8), dhcrelay will bypass IPsec for all its traffic.